Subject: A question about Content-Length header & Transfer Coding

From: "?" <[email-masked]>
Date: Wed, 21 Jan 2009 11:44:58 -0800

As I understand, Content-Length header is not mandatory with HTTP 1.1.

My question is: when a HTTP message has message body (eg. a SOAP envelope)
but does not send Content-Length header,is it a MUST (semantics as by RFC
2119) for the message body to be "chunked" transfer-coded as defined in Sec
3.6.1 of RFC 2616 or be transfer-coded in other scheme?

Thanks & Regards,
Peter